#include <iostream>
#include <string>
#include <cmath>
using namespace std;
int main(){
    long long n,a,i;
    a=0;
    cin>>n;
    long long h[n+1],c[n+1],y[n+1];
    for(i=1;i<=n;i++){
        h[0]=0;
        y[i]=0;
        cin>>h[i];
        if (h[i-1]>h[i]){
            y[i-1]=i-1;
        }
    }
    for(i=1;i<=n;i++){
        c[0]=0;
        cin>>c[i];
    }
    for(i=1;i<=n;i++){
        if (y[i]>0){
            a=a+c[i];
        }
    }
    if (y[n]==0){
        a=a+c[n];
    }
    cout<<a;
}